+ Post New Thread
Page 1 of 642 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 16040

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 92,326
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 75,780
    18th Sep 2006 10:46 pm Go to last post
  1. Create hatch based on the envelope

    Hello I have a block containing polyline "Test*". What would I like to do? 1. Get the shape of the polyline 2. Divide the shape into 2 parts 3. Create a hatch with an RGB color and individual...

    Started by jan_ek‎, Yesterday 10:29 pm
    • Replies: 0
    • Views: 44
    Yesterday 10:29 pm Go to last post
  2. Wink Batch Run command and Save as adding suffix

    Hi, I have about 1500 drawing in witch i woul like to run a command based on the name of the file ex: () So in Every files startinf with 3-ML2030 I would run the "2030PSQ" command and then save...

    Started by Jord_91‎, Yesterday 09:29 pm
    • Replies: 1
    • Views: 42
    Yesterday 09:33 pm Go to last post
  3. Embarrassed Attribute value to text within a block

    Dear forum members, Nice to meet you all Have a request I hope is not to complicated. I need a lisp that can "burst" attributes within a block insert. I don't care how the lisp will do this....

    Started by DGRL‎, Yesterday 08:40 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 175
    Yesterday 09:07 pm Go to last post
  4. Help me on Aligning text with line angle

    Hi Friends, i need the text to get aligned automatically to the line angle as shown in attached sample1.dwg, text 1 should be always at top of the line & remaining(text 2,text 3 etc.,) all...

    Started by amb2301‎, Yesterday 08:48 pm
    • Replies: 0
    • Views: 38
    Yesterday 08:48 pm Go to last post
  5. The polyline closed or not

    How to identify the selected polyline is closed or not by LISP

    Started by wimal‎, 19th Feb 2018 05:24 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 314
    Yesterday 07:52 pm Go to last post
  6. Separating a component from an existing block

    Hi friends, I am looking for a solution to split a specific part from an existing block (as a normal cad object) as i used the same block in my drawing that more than 100 times. I know that...

    Started by isutheparambil‎, Yesterday 12:22 pm
    • Replies: 7
    • Views: 111
    Yesterday 04:55 pm Go to last post
  7. Question Problems with sum of List

    I have a 'while' loop that adds what was entered in the command line to a list each time it loops. Then I would like to get the sum of all the numbers in the list. I am pretty confident that this...

    Started by EricDevault‎, Yesterday 02:52 pm
    list, sum
    • Replies: 2
    • Views: 78
    Yesterday 03:19 pm Go to last post
  8. Connect multiple block with line or polyline

    HI Everyone I am looking lisp for connecting multiple blocks with a line or polyline and also wants to create text like 1", 2" on the line. I am creating a line and write text like 1" etc... it...

    Started by taj250‎, 17th Feb 2018 09:25 am
    • Replies: 6
    • Views: 266
    Yesterday 02:06 pm Go to last post
  9. Using excel data for drawing pilecaps in autocad

    Hi guys, This is my first time here. I´m developed a Spreadsheet in MS Excel and i want the AutoCAD use the data in this spreadsheet, to draw a pile cap. In this spreadsheet i inform the...

    Started by engmarciocunha‎, 20th Feb 2018 02:41 pm
    • Replies: 1
    • Views: 105
    Yesterday 09:06 am Go to last post
  10. Question Convert Any Length Arc into Equal Segments

    I am looking for a routine to convert arcs into equal segments and join it into a polyline. rather than converting all arcs, a prompt to select various arcs would be helpful, and a promt for number...

    Started by EricDevault‎, 29th Jan 2010 05:38 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 37
    • Views: 27,907
    Yesterday 08:53 am Go to last post
  11. Import multiple unique blocks from csv

    Hi everyone, First of all, thanks for the information given thus far, this forum has been both helpful and frustrating. It's like being surrounded by people who are running and jumping while I can...

    Started by Robert89‎, 15th Feb 2018 04:08 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 544
    Yesterday 08:52 am Go to last post
  12. Coordinates this way

    Is there any command that manages coordinates in this way? but with one detail, when I change the landmark (direction), does the coordinate also change? https://cl.ly/3A0v0b362t0m

    Started by JuniorNogueira‎, 20th Feb 2018 04:56 pm
    • Replies: 3
    • Views: 153
    Yesterday 05:07 am Go to last post
  13. Cool LISP to draw Polyline or 3D Pline from COGO Points

    I am after a LISP to draw a polyline between selected COGO points. The attached (JohnM - 2009) does something very similar to what i am trying to achieve using normal autocad points. Any help...

    Started by nrt1111‎, 19th Feb 2018 04:33 am
    • Replies: 4
    • Views: 179
    Yesterday 02:53 am Go to last post
  14. Too many arguments issue

    Good morning all! I am having trouble figuring out how i should properly fix the following code. I am getting too many arguments in the section highlighted, which makes sense to me but im not...

    Started by K Baden‎, 13th Feb 2018 03:47 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 433
    20th Feb 2018 07:18 pm Go to last post
  15. Add in an undo in these sections while lisp is running

    This lisp is intended to setup a grid system for measuring purposes. The While loop goes until an Enter and then advances to the next set. If the user keys the wrong value then need to be able to...

    Started by EricDevault‎, 21st Jan 2016 04:32 pm
    • Replies: 2
    • Views: 1,294
    20th Feb 2018 05:58 pm Go to last post
  16. Cool BricsCAD introduces BLADE built-in lisp editor

    Think VLIDE but from the year 2018 instead of 1999. More info: https://www.cadnauseam.com/2018/02/20/bricsys-shows-autodesk-how-to-do-mid-term-updates-again/ Screenshot:

    Started by rkmcswain‎, 20th Feb 2018 04:42 pm
    autolisp, blade, bricscad, editor, lisp
    • Replies: 0
    • Views: 117
    20th Feb 2018 04:42 pm Go to last post
  17. Export coordinates of vertices and Object Data

    Hi all, I want to write a program which will export the coordinates of vertices for selected polylines with Object Data which corresponds to each polyline. Please refer to a sample drawing...

    Started by jes_g‎, 20th Feb 2018 01:15 pm
    • Replies: 2
    • Views: 100
    20th Feb 2018 04:19 pm Go to last post
  18. X-Y Dimensions

    Is there a way to dimension the x-y lengths between two points at the same time without have to do a linear dimension each time? I don't wan't coordinates. I am looking for lengths. Maybe a...

    Started by robwell‎, 12th Feb 2018 03:59 pm
    • Replies: 6
    • Views: 241
    20th Feb 2018 02:37 pm Go to last post
  19. Closed polyline Area values to Excel

    Hello people. In the picture attached you can see 3 polylines where each polyline encloses an area. Could those 3 area values be exported to excel each in its own row?

    Started by Butch‎, 5th Nov 2009 08:28 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 42
    • Views: 29,648
    20th Feb 2018 09:57 am Go to last post
  20. make table from "opened" excel workbook to autocad drawing

    Greetings everyone .. i found a code written by Juan Villarreal which ask the user to browse the target excel and then open it and copy its used range as a table to the autocad ... now i have...

    Started by handasa‎, 14th Jul 2017 01:58 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 2,151
    19th Feb 2018 01:54 pm Go to last post
  21. Smile How to find and select the nearest block to a point

    GREETINGS EVERYONE I need a lisp that find and select the nearest bock named "ManHole" to a point .... this point is the insertion point of another selected block say i select a block named...

    Started by handasa‎, 8th May 2017 04:13 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 1,809
    19th Feb 2018 01:37 pm Go to last post
  22. retrieve vertices list out of a polyline (without vlisp)

    hi how would you retrieve vertices list out of a polyline without using any of the vl-load-com functions? all approach that come to your mind is greatly welcome! Thanks Shay

    Started by samifox‎, 9th Mar 2014 10:54 pm
    4 Pages
    1 2 3 ... 4
    • Replies: 38
    • Views: 6,770
    19th Feb 2018 07:08 am Go to last post
  23. Bach Adding suffix

    HI, I would like to add suffix to the text in multiple files at once. ex: the name is "ml153029ar" and I need to add "OVA" at the end but every name in the different drawing are different sort i...

    Started by Jord_91‎, 16th Feb 2018 06:01 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 388
    18th Feb 2018 10:53 am Go to last post
  24. AutoLisp For Area Calculation

    Hi All, I need some help here. I'v been using a autolisp (obtained from a friend) to calculate floor area with AutoCAD 2007. However recently I've upgraded my AutoCAD to 2013 and I realised the...

    Started by JCYK‎, 19th Sep 2012 04:25 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 34,132
    18th Feb 2018 09:39 am Go to last post
  25. Get error: no function definition: LM:SSBOUNDINGBOX

    Hello, iam using Lee`s Lisp to make a bounding box. But it gives a ERROR. error: no function definition: LM:SSBOUNDINGBOX. (defun c:test ( / box obj sel spc ) ;(setq all (ssget "_W" '(0...

    Started by pmxcad‎, 16th Feb 2018 08:30 pm
    • Replies: 4
    • Views: 184
    18th Feb 2018 03:04 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts